{
  // See https://go.microsoft.com/fwlink/?LinkId=733558
  // for the documentation about the tasks.json format
  "version": "2.0.0",
  "tasks": [
    {
      "label": "bootSys161",
      "type": "shell",
      "command": "/home/pds/os161/tools/bin/sys161",
      "isBackground": true,
      "args": ["-w", "kernel"],
      "options": {
        "cwd": "/home/pds/pds-os161/root"
      },
      "problemMatcher": [
        {
          "pattern": [
            {
              "regexp": ".",
              "file": 1,
              "location": 2,
              "message": 3
            }
          ],
          "background": {
            "activeOnStart": true,
            "beginsPattern": ".",
            "endsPattern": ".",
          }
        }
      ]
    },
    {
        "label": "Copy Config",
        "type": "shell",
        "command": "cd ~/os161/os161-base-2.0.2/kern; cp conf/DUMBVM conf/${input:VersionName}",
        "problemMatcher": []
    },
    {
        "label": "Run Config",
        "type": "shell",
        "command": "cd ~/os161/os161-base-2.0.2/kern/conf;./config ${input:VersionName}",
        "problemMatcher": []
    },
    {
        "label": "Make Depend",
        "type": "shell",
        "command": "cd ~/os161/os161-base-2.0.2/kern/compile/${input:VersionName};bmake depend",
        "problemMatcher": []
    },
    {
        "label": "Build and Install",
        "type": "shell",
        "command": "cd ~/os161/os161-base-2.0.2/kern/compile/${input:VersionName};bmake;bmake install",
        "problemMatcher": [],
        "group": {
            "kind": "build",
            "isDefault": true
        }
    },
    {
        "label": "Run OS161",
        "type": "shell",
        "command": "cd ~/pds-os161/root;sys161 kernel",
        "problemMatcher": []
    }
  ],
  "inputs": [
    {
        "type": "promptString",
        "id": "VersionName",
        "description": "Nome della versione",
        "default": "DUMBVM"
    }
]
}